Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.operation.assertion
Class BaseAssertion<C>

    java.lang.Object
      cascading.operation.BaseOperation<C>
          cascading.operation.assertion.BaseAssertion<C>

All Implemented Interfaces:
  Operation<C>, PlannedOperation<C>, Serializable

Direct Known Subclasses:
  AssertEquals, AssertEqualsAll, AssertGroupBase, AssertNotEquals, AssertNotNull, AssertNull, AssertSizeEquals, AssertSizeLessThan, AssertSizeMoreThan

    public abstract class BaseAssertion<C>

extends BaseOperation<C>
implements PlannedOperation<C>

Class BaseAssertion is a convenience class for `Assertion` implementations. Subclassing this class is not required, but does provide some convenience functions for signaling assertion failures.

See Also:
  `Assertion`, `GroupAssertion`, `ValueAssertion`, Serialized Form

Field Summary

Fields inherited from class cascading.operation.BaseOperation
`fieldDeclaration, numArgs, trace`

Fields inherited from interface cascading.operation.Operation
`ANY`

Constructor Summary
`protected` | `BaseAssertion()`
`protected` | `BaseAssertion(int numArgs)`
`protected` | `BaseAssertion(int numArgs, String message)`
`protected` | `BaseAssertion(String message)`

Method Summary
`boolean` | `equals(Object object)`
`protected void` | `fail()`
`protected void` | `fail(Object... args)`
`String` | `getMessage()`
`int` | `hashCode()`
`boolean` | `supportsPlannerLevel(PlannerLevel plannerLevel)`
`static void` | `throwFail(String message)` Static method throwFail should be used to throw an `AssertionException`.
`static void` | `throwFail(String message, Object... args)` Static method throwFail should be used to throw an `AssertionException`.

Methods inherited from class cascading.operation.BaseOperation
`cleanup, flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, prepare, printOperationInternal, toString, toStringInternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface cascading.operation.Operation
`cleanup, flush, getFieldDeclaration, getNumArgs, isSafe, prepare`

Constructor Detail

### BaseAssertion

    protected BaseAssertion()

### BaseAssertion

    @ConstructorProperties(value="message")
    protected BaseAssertion(String message)

### BaseAssertion

    @ConstructorProperties(value="numArgs")
    protected BaseAssertion(int numArgs)

### BaseAssertion

    @ConstructorProperties(value={"numArgs","message"})
    protected BaseAssertion(int numArgs,
                                                       String message)

Method Detail

### getMessage

    public String getMessage()

### supportsPlannerLevel

    public boolean supportsPlannerLevel(PlannerLevel plannerLevel)

  Specified by:
    `supportsPlannerLevel` in interface `PlannedOperation<C>`

### fail

    protected void fail()

### fail

    protected void fail(Object... args)

### throwFail

    public static void throwFail(String message)

  Static method throwFail should be used to throw an `AssertionException`.

  Parameters:
    `message` - of type String, the message to be thrown

### throwFail

    public static void throwFail(String message,
                                 Object... args)

  Static method throwFail should be used to throw an `AssertionException`.

  Parameters:
    `message` - of type String, the message to be thrown as a format string
    `args` - of type Object[], the values to be passed into the message format string

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `BaseOperation<C>`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `BaseOperation<C>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.